com.nxp.nfc_demo.widgets

## Enum Commands

- java.lang.Object
- - java.lang.Enum<Commands>
  - - com.nxp.nfc_demo.widgets.Commands

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Commands>

      public enum Commands
      extends java.lang.Enum<Commands>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `SETTING1`
    `SETTING2`
    `SETTING3`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.String[]` | `text`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()`
    `static Commands` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Commands[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SETTING1

          public static final Commands SETTING1

    - #### SETTING2

          public static final Commands SETTING2

    - #### SETTING3

          public static final Commands SETTING3

  - ### Field Detail

    - #### text

          private java.lang.String[] text

  - ### Method Detail

    - #### values

          public static Commands[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Commands c : Commands.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Commands valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<Commands>`